ocamlsdl (0.9.1-3build2) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2020 18:03:13 +0200

ocamlsdl (0.9.1-3build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:33:13 +0000

ocamlsdl (0.9.1-3) unstable; urgency=medium

  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Sep 2019 09:38:48 +0200

ocamlsdl (0.9.1-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:25:47 +0100

ocamlsdl (0.9.1-1) experimental; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release
  * Update Vcs-*
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 21:54:08 +0200

ocamlsdl (0.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #667447)
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Jun 2012 12:06:00 +0200

ocamlsdl (0.8.0-4) unstable; urgency=low

  * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662449)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Mar 2012 21:25:32 +0100

ocamlsdl (0.8.0-3) unstable; urgency=low

  * Add dependency to libsdl-gfx1.2-dev (Closes: #638014)
  * Bump debhelper compat to 8, rewrite debian/rules using overrides
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Aug 2011 22:10:37 +0200

ocamlsdl (0.8.0-2) unstable; urgency=low

  * Add 0001-Fix-build-on-bytecode-architectures.patch (Closes: #586619)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Jun 2010 14:00:38 -0700

ocamlsdl (0.8.0-1) unstable; urgency=low

  * New upstream release
    - remove all patches
  * debian/control:
    - add myself to Uploaders
    - bump Standards-Version to 3.8.4 (no changes)
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Jun 2010 22:00:20 -0700

ocamlsdl (0.7.2-11) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Upgrade Standards-Version to 3.8.3 (section ocaml, README.source)
  * Add a patch to update config.{sub|guess} (Closes: #549998)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 17 Dec 2009 22:10:54 +0000

ocamlsdl (0.7.2-10) unstable; urgency=low

  * Rebuild with OCaml 3.11.
  * Add Homepage field.

 -- Samuel Mimram <smimram@debian.org>  Sun, 01 Mar 2009 21:18:38 +0100

ocamlsdl (0.7.2-9) experimental; urgency=low

  * Switch packaging to git.
  * Use predefined dh-ocaml variables.
  * Update standards version to 3.8.0.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 Feb 2009 18:56:07 +0100

ocamlsdl (0.7.2-8) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Julien Cristau ]
  * Add missing dependencies of libsdl-ocaml-dev on the packages providing the
    various SDL libraries (closes: #471659).

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Samuel Mimram ]
  * Remove bashism from rules, closes: #484425.
  * Updated standards version to 3.7.3.
  * Remove empty /usr/share/lintian/overrides directories.
  * Convert copyright and doc-base files in utf8.
  * Updated copyright file.

 -- Samuel Mimram <smimram@debian.org>  Mon, 09 Jun 2008 00:24:20 +0200

ocamlsdl (0.7.2-7) unstable; urgency=low

  * Rebuild with OCaml 3.10.
  * It is not necessary anymore to remove rpath.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 01:19:06 +0200

ocamlsdl (0.7.2-6) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 22:50:09 +0000

ocamlsdl (0.7.2-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 18:49:57 +0100

ocamlsdl (0.7.2-4) unstable; urgency=low

  * Added forgotten dependency on ocaml-findlib.
  * Using chrpath to remove rpaths.
  * Removed lintian overrides.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Nov 2005 21:22:27 +0100

ocamlsdl (0.7.2-3) unstable; urgency=low

  * New maintainer.
  * Updated package to OCaml 3.09.0.
  * No longer hardcoding OCaml's ABI in the package.
  * No longer build-conflicting with ocaml-findlib.
  * Updated watch file.
  * Updated standards version to 3.6.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 Nov 2005 21:39:25 +0100

ocamlsdl (0.7.2-2) unstable; urgency=low

  * debian/libsdl-ocaml-dev.doc-base: move documentation from `Devel'
    to `Apps/Programming' section. Closes: Bug#311121.

 -- Jerome Marant <jerome@debian.org>  Sat,  4 Jun 2005 12:15:52 +0200

ocamlsdl (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Built against ocaml 3.08.3. Closes: Bug#304166.
  * debian/control:
    - Changed ocaml build-dependency to ocaml-3.08.3.
    - [libsdl-ocaml-dev]: changed ocaml dependency to ocaml-nox-3.08.3.
    - [libsdl-ocaml]: changed ocaml dependency to ocaml-base-nox-3.08.3.
  * debian/libsdl-ocaml{,-dev}.overrides: updated with respect to ocaml 3.08.3.
  * debian/patches/sdltimer-delay-fix.dpatch: new patch from upstream
    fixing a crash in Sdltimer.delay.

 -- Jerome Marant <jerome@debian.org>  Tue, 12 Apr 2005 21:51:25 +0200

ocamlsdl (0.7.1-2) unstable; urgency=medium

  * debian/samples: removed examples since they are no longer provided
    upstream and of a too low quality.
  * debian/rules:
    - Removed installation of examples.
    - Install META file from the upstream tarball rather than the
      one we have provided so far.
  * debian/control: got rid of sharutils build-dependency.

 -- Jerome Marant <jerome@debian.org>  Tue,  3 Aug 2004 22:53:02 +0200

ocamlsdl (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Built against ocaml 3.08.0.
  * debian/control:
    - Bumped Standards-Version to 3.6.1.1.
    - Changed liblablgl build-dependency version to >= 1.01-1.
    - Changed ocaml build-dependency to ocaml-3.08.
    - Build conflict on ocaml-findlib: findlib really makes a hard time
      to install libraries, better use the traditional way.
    - Added build-dependency on dpatch.
    - [libsdl-ocaml-dev]: changed ocaml dependency to ocaml-nox-3.08.
    - [libsdl-ocaml]: changed ocaml dependency to ocaml-base-nox-3.08.
    - Added build-dependency on sharutils since we need uudecode for images
      and fonts from imported samples.
  * debian/libsdl-ocaml{,-dev}.overrides: updated with respect to ocaml 3.08.0.
  * debian/libsdl-ocaml.files: likewise.
  * debian/META: likewise.
  * debian/rules.patch: removed since we use dpatch now.
  * debian/samples: imported samples from the previous upstream
    release since they are no longer distributed in upstream tarballs.

 -- Jerome Marant <jerome@debian.org>  Wed, 28 Jul 2004 22:47:39 +0200

ocamlsdl (0.6.3-2) unstable; urgency=low

  * Rebuilt against ocaml 3.07.
  * debian/control:
    - Bumped Standards-Version to 3.6.1.
    - Changed binary dependencies and build dependencies with
      respect to ocaml 3.07.
  * debian/*.overrides: updated with respect to ocaml 3.07.
  * debian/libsdl-ocaml.files: likewise.
  
 -- Jerome Marant <jerome@debian.org>  Sat,  4 Oct 2003 14:56:56 +0200

ocamlsdl (0.6.3-1) unstable; urgency=low

  * New upstream version.
  * support/config.{guess,sub}: updated from latest autotools-dev.
  * debian/control:
    - Bumped Standards-Version to 3.5.9.
    - Changed libsdl-ocaml-dev section from devel to libdevel.
    - Changed libpng3-dev build dependency to libpng12-dev.
  
 -- Jerome Marant <jerome@debian.org>  Fri, 25 Apr 2003 20:22:14 +0200

ocamlsdl (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * support/config.{guess,sub}: updated from latest autotools-dev.
  
 -- Jerome Marant <jerome@debian.org>  Wed, 12 Mar 2003 22:03:36 +0100

ocamlsdl (0.6.1-4) unstable; urgency=low

  * debian/control: replaced libsdl-ttf1.2-dev with libsdl-ttf2.0-dev.

 -- Jerome Marant <jerome@debian.org>  Thu,  6 Mar 2003 21:48:18 +0100

ocamlsdl (0.6.1-3) unstable; urgency=low

  * support/config.{guess,sub}: updated from latest autotools-dev.
    Closes: Bug#176394.
  * Reran aclocal -I support; autoconf.

 -- Jerome Marant <jerome@debian.org>  Sat, 18 Jan 2003 13:44:32 +0100

ocamlsdl (0.6.1-2) unstable; urgency=low

  * support/config.{guess,sub}: updated with files from autotools-dev
    in order to add support for s390. Closes: Bug#176394.
  * Reran aclocal -I support; autoconf.

 -- Jerome Marant <jerome@debian.org>  Sat, 11 Jan 2003 15:39:39 +0100

ocamlsdl (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added liblablgl-ocaml-dev to build dependencies.
  * debian/extra/Makefile.samples: updated with respect to new samples.
  
 -- Jerome Marant <jerome@debian.org>  Thu,  9 Jan 2003 23:28:11 +0100

ocamlsdl (0.6-3) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.5.8.
    - Bumped ocaml build dependency to ocaml-3.06-1 and standard
      dependencies to ocaml{, base}-3.06-1.
  * debian/rules: use `ocaml -where' to determine the library
    directory. Libraires are now installed in /usr/lib/ocaml/3.06 with
    respect to changes in the OCaml policy.
  * debian/libsdl-ocaml{, -dev}.overrides: updated with respect to new
    library directory.
  * debian/libsdl-ocaml{, -dev}.dirs: removed entries for library
    directories since those entries are provided by upstream makefiles.
  * libsdl-ocaml.files: updated with respect to libdir transition.
  
 -- Jerome Marant <jerome@debian.org>  Mon, 16 Dec 2002 21:04:00 +0100

ocamlsdl (0.6-2) unstable; urgency=low

  * Applied upstream patch from Olivier Andrieu fixing a bug
    which prevents ocamlsdl to be built on architectures with
    no ocamlopt available. Closes: Bug#167981.
  * Reran aclocal -I support; autoconf.

 -- Jerome Marant <jerome@debian.org>  Thu,  7 Nov 2002 22:56:38 +0100

ocamlsdl (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bumped Standards-Version to 3.5.7.
  * debian/extra/META: updated to latest release.

 -- Jerome Marant <jerome@debian.org>  Tue, 05 Nov 2002 22:33:03 +0100

ocamlsdl (0.5.0+cvs.20020724-2) unstable; urgency=low

  * Recompiled against ocaml 3.06. Closes: Bug#155474, Bug#157275.
  * debian/control:
    - Bumped Standards-Version to 3.5.6.1.
    - Updated dependencies and build-dependencies with respect to new
      OCaml policy.
    - Changed Debhelper build-dependency to greater that 4.0.0.
  * debian/rules:
    - Made use of Debhelper 4.
    - Removed call to dh_ocamlld which is no longer necessary.
  
 -- Jerome Marant <jerome@debian.org>  Sat, 24 Aug 2002 14:54:08 +0200

ocamlsdl (0.5.0+cvs.20020724-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Upstream fix: do not build the native version of the library
    on architectures for which ocamlopt is not available.
    Closes: Bug#150924.
  * debian/control: added build-dependency on libpng3-dev.
  * Rebuilt against libpng3 because libsdl-image1.2 is now built
    against that version of libpng.

 -- Jerome Marant <jerome@debian.org>  Wed, 24 Jul 2002 21:00:14 +0200

ocamlsdl (0.5.0+cvs.20020616-1) unstable; urgency=low

  * Initial Release. Closes: Bug#144707.

 -- Jerome Marant <jerome@debian.org>  Sun, 16 Jun 2002 12:28:19 +0200

